KSpell2::Client Class Referenceabstract

`#include <client.h>`

Inherits QObject.

Inherited by ASpellClient, HSpellClient, and ISpellClient.

## Public Member Functions

| Client (QObject *parent=0, const char *name=0)
virtual int | reliability () const =0
virtual Dictionary * | dictionary (const QString &language)=0
virtual QStringList | languages () const =0
virtual QString | name () const =0

## Detailed Description

The fact that this class inherits from QObject makes me hugely unhappy.

The reason for as of writting is that I don't really feel like writting my own KLibFactory that would load anything else then QObject derivatives.

Definition at line 41 of file client.h.

The documentation for this class was generated from the following files:

- client.h
- client.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys